Subject: bug#33404: closed (Re: bug#33404: failure behavior for "guix package --upgrade")

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Jan 2021 15:39:02 +0000

Your bug report

#33404: failure behavior for "guix package --upgrade"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33404: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33404
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33404: failure behavior for "guix package --upgrade"
From: zimoun <[email-masked]>
To: Reed Campbell Meyerson <[email-masked]>
Cc: [email-masked]
Date: Mon, 11 Jan 2021 16:31:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Sat, 19 Dec 2020 at 00:47, zimoun <[email-masked]> wrote:

> It appears it was a transient issue.  And since it is old (~2years),
> then I am in favor to close it if no moreinfo is provided.

After the usual 3 weeks, since it requires moreinfo and seems transient,
I am closing.  Feel free to reopen if I am missing something.

All the best,
simon

Subject: failure behavior for "guix package --upgrade"
From: Reed Campbell Meyerson <[email-masked]>
To: [email-masked]
Date: Fri, 16 Nov 2018 00:37:59 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I am experiencing some strange behavior when upgrading packages. After a
substitution fails, the upgrade will fail at the same point every time
until I upgrade that point on its own, and then it will proceed until it
potentially fails at a different point.

I have attached a screenshot of the output. This was while trying to
upgrade qutebrowser, but it happened before when upgrading GHC.

Best,
Reed